Subject: malloc debug message: "memory not allocated"
From: Joe Buehler <[email-masked]>
To: [email-masked]
Date: Mon, 24 Jun 2002 14:48:43 -0400
Newsgroups: gmane.os.cygwin

I had posted previously about a hang problem I am having.

To attempt to track down what is going on, I built the latest
cvs core code (1.3.11) with debugging on, and malloc debugging also.
When I install and run the newly built code I get thousands
of messages of the form:

/usr/local/cygwin-src/src/winsup/cygwin/dtable.cc:478: memory not allocated

This happens when I telnet in to the NT box, or ssh in.  It also happens
whenever I run a command from the shell prompt.  Though it is not
always at dtable.cc:478.

This appears to be coming out of dlmalloc.c.  It looks like this message implies
that a block of memory is in use but the allocator does not think
it should be.

Is that the correct interpretation of this message?

Joe Buehler

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/